flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bigosma...@apache.org
Subject [09/50] [abbrv] git commit: [flex-utilities] [refs/heads/master] - Set default AIR version to 3.1 and fixed Flash Player selection logic.
Date Sun, 04 Aug 2013 08:59:50 GMT
Set default AIR version to 3.1 and fixed Flash Player selection logic.


Project: http://git-wip-us.apache.org/repos/asf/flex-utilities/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-utilities/commit/a745aeab
Tree: http://git-wip-us.apache.org/repos/asf/flex-utilities/tree/a745aeab
Diff: http://git-wip-us.apache.org/repos/asf/flex-utilities/diff/a745aeab

Branch: refs/heads/master
Commit: a745aeab9e60ef4bf5a5c175d610746fc855c92d
Parents: db4d52e
Author: Justin Mclean <jmclean@apache.org>
Authored: Mon May 27 11:43:32 2013 +1000
Committer: Justin Mclean <jmclean@apache.org>
Committed: Mon May 27 11:43:32 2013 +1000

----------------------------------------------------------------------
 installer/src/InstallApacheFlex.mxml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-utilities/blob/a745aeab/installer/src/InstallApacheFlex.mxml
----------------------------------------------------------------------
diff --git a/installer/src/InstallApacheFlex.mxml b/installer/src/InstallApacheFlex.mxml
index 3bd9abd..ceb9e07 100644
--- a/installer/src/InstallApacheFlex.mxml
+++ b/installer/src/InstallApacheFlex.mxml
@@ -111,7 +111,7 @@ variables are not required because the locations of these pieces are known.
          *
          */
 		[Bindable] private var AIR_VERSIONS:ArrayCollection = new ArrayCollection();
-		private var AIR_VERSION:String;
+		private var AIR_VERSION:String = "3.1";
         private var ADOBE_AIR_SDK_WIN_FILE:String;
         private var ADOBE_AIR_SDK_WIN_URL:String;
 		private var ADOBE_AIR_SDK_MAC_FILE:String;
@@ -707,7 +707,7 @@ variables are not required because the locations of these pieces are known.
 			FLASH_PLAYER_VERSION = flashPlayerVersion.selectedItem.verson;
 			
 			// AIR requires a minimum Flash Player version
-			if (airVersion.selectedIndex > flashPlayerVersion.selectedIndex) {
+			if (airVersion.selectedIndex < flashPlayerVersion.selectedIndex) {
 				airVersion.selectedIndex = flashPlayerVersion.selectedIndex;
 				AIR_VERSION = AIR_VERSIONS[flashPlayerVersion.selectedIndex].version;
 			}


Mime
View raw message